Bug 838137 - Quick Start: Document subscription-manager registration.
Quick Start: Document subscription-manager registration.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zac Dover
ecs-bugs
:
Depends On:
Blocks: 815457 RHEV31_SAM_DOC 838133 838134 838136
  Show dependency treegraph
 
Reported: 2012-07-06 14:10 EDT by Stephen Gordon
Modified: 2014-03-25 02:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: RHEV31_SAM_DOC
Environment:
Last Closed: 2012-10-26 11:40:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-07-06 14:10:11 EDT
+++ This bug was initially created as a clone of Bug #838132 +++

Description of problem:

We need to document the use of subscription-manager to register to RHN and subscribe to the required channels for RHEV. This will need to be done alongside RHN Classic instructions which we already provide.

We should probably concentrate on the command line, as most RHEV-M servers probably wont run a GUI (we can defer to the SAM guides for those that do want to use it though).

# subscription-manager register
Username: sgordon@redhat.com
Password:
The system has been registered with id: <UUID>
# subscription-manager list --available
# subscription-manager subscribe --pool=<POOLID>
Successfully consumed a subscription from the pool with id <UUID>.

Need to work out what the names to grep out of list available are though for RHEV channels, I only have my employee subs which aren't specific enough.
Comment 1 Stephen Gordon 2012-07-06 14:25:18 EDT
For this guide it's probably easier to document SAM only, as it's a quick start  and we're TELLING the user what to do.
Comment 2 Stephen Gordon 2012-07-06 14:25:50 EDT
Following up the details of using subscription-manager further in the parent bug for SAM documentation.
Comment 3 Stephen Gordon 2012-10-26 11:40:43 EDT
I'm guessing my advice in comment # 1 was heeded here. Closing notabug.

Note You need to log in before you can comment on or make changes to this bug.